=== debian/changelog ===
xen-tools (4.3.1-1) unstable; urgency=low

  * Remove t/modules.t in upstream's t/Makefile instead of debian/rules'
    clean target.
  * Run t/hook-tls.t only if distribution actually has
    10-disable-tls. Fixes test suite failure on 32 bit architectures.

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jun 2012 16:44:50 +0200

xen-tools (4.3-1) unstable; urgency=low

  * New upstream release
    - Remove most Mercurial traces
  * Fixes FTBFS due to testsuite failures (Closes: #676681)
    - Disable tests of not yet used Xen::Tools. Fixes FTBFS in test suite
      due to not satisifed Moose dependency in Xen::Tools::Log.
    - Added build-dependencies on libmoose-perl, git, and
      libtest-pod-coverage-perl for t/perl-syntax.t, t/gitignore.t, and
      t/pod-coverage.t.
    - Skip t/hook-inittab.t if /etc/inittab is not present on the build
      host. Fixes FTBFS on Ubuntu.
  * Switch to source format to "3.0 (quilt)"
  * Don't remove stamp files manually, dh_clean does that already
  * Remove generated file t/modules.t in clean target to be able to build
    twice in a row.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jun 2012 22:23:59 +0200

xen-tools (4.3~rc1-1) unstable; urgency=low

  * New upstream release candidate
    - Correctly checks and documents valid values for
      disk_device. (Closes: #621499)
    - Supports creating Ubuntu 11.10 Oneiric DomUs (LP: #848654)
    - Supports creating Ubuntu 12.04 Precise and 12.10 Quantal DomUs
    - Supports creating CentOS 6 DomUs (Closes: #578399; Thanks Johan
      Schurer)
      + Recommend rinse >= 1.9.1-1
    - Supports rinse 2.0
    - Updated mirror list for discontinued releases of Debian and Ubuntu
    - Workaround for missing unit parsing in xen-create-nfs (Closes:
      #648814)
    - Fix wildcard vs regexp in memory configuration parsing.
    - Fix misbehaviour if --ip option is passed multiple times (Closes:
      #652110; Thanks Brian Bennett and Alexander Mette!)
    - Supports /etc/apt/sources.list.d/ (Closes: #650300)
    - xt-guess-suite-and-mirror exits with non-zero if no proper mirror
      could be extracted from /etc/apt/sources.list or
      /etc/apt/sources.list.d/*.list (Thanks Phil Frost!)
    - Only attempts to generate the ssh host keys if not already present
      (Closes: #607236; Thanks Vagrant Cascadian!)
    - New option --apt_proxy (Closes: #610457; Thanks Alex Tomlins!)
    - Always write down root partition as first physical device, otherwise
      pygrub fails (Closes: #609673)
    - No more expect at least one option to mkfs.* calls. Fixes btrfs
      creation.  (Closes: #609982)
    - Fixes call to non-existent function logPrint (Closes: #673335)
    - Also disable initctl in the chroot, not only start-stop-daemon
      (LP: #997063; Thanks xstasi!)
    - Massive code deduplication in hooks directory
    - Use release blacklist for libc6-xen instead of whitelist in
      hooks/debian.d/20-setup-apt
    - Enforces umask 022 in 50-setup-hostname* (Hopefully closes: #619630)
  * Add dependency on openssh-client for ssh-keygen (Closes: #649108)
  * Use dh_auto_test for build time tests and add according
    build-dependencies on devscripts and libfile-slurp-perl.
  * No more suggest evms-cli -- it's no more available on any supported
    Dom0 distribution. Thanks to Markus Waldeck for the hint.
  * Add NEWS to debian/docs.
  * Bump Standards-Version to 3.9.3 (no changes)
  * Fix the following Lintian warnings:
    - copyright-refers-to-symlink-license
    - debian-rules-missing-recommended-target
  * debian/copyright: Update copyright years
  * Move xen-utils (for pygrub) from Suggests to Recommends as pygrub
    becomes the necessary way to boot more and more often.
  * Remove xen-shell from Recommends, nobody picked it up. (Closes:
    #603708)

 -- Axel Beckert <abe@debian.org>  Fri, 08 Jun 2012 14:18:38 +0200

xen-tools (4.2.1-1) unstable; urgency=low

  * New upstream release
    - Fixes bashism in "editor" roles script. Thanks Raphaël Halimi for
      the patch! (Closes: #605203)
    - Fixes missing architecture check in Sarge amd64 special case. Thanks
      to Guillaume Pernot! (Closes: #611397) Also changes default Sarge
      amd64 mirror to http://archive.debian.org/debian-amd64/.
    - Allows --ip=auto again (Closes: #611407)
    - Unmounts /proc and /dev/pts of the freshly installed DomU just
      before unmounting the disk image. (Closes: #588783)

 -- Axel Beckert <abe@debian.org>  Thu, 17 Mar 2011 01:00:47 +0100

xen-tools (4.2-1) unstable; urgency=low

  * New upstream release
    - Fixes several cases of broken or incomplete config files with
      unexpected or seldom parameter combinations. (Closes: #484652)
    - Updates examples in /etc/xen-tools.conf to better reflect current
      state
    - Allows usage of xvc* as serial console as used as default by older
      Xen versions.
    - Preliminary support for Ubuntu 11.04 (Natty) and Debian 7.0 (Wheezy)
      (Closes: #597521)
    - Switches default mirror for EoL'ed Ubuntu 8.10 (Intrepid) and Debian
      4.0 (Etch) to the distributions' archives for old releases.
  * Does no more try extract the upstream changelog during debian package
    build. The commit which introduced this problem has been reverted.
    Document more clearly in debian/README.source how to build the package
    from a checked out copy of the git repository, especially that the
    upstream changelog has to be generated first out of the VCS log.
    (Closes: #595883)
  * Update debian/copyright: Add Stéphane Jourdois to list of authors.

 -- Axel Beckert <abe@debian.org>  Tue, 05 Oct 2010 19:01:49 +0200

xen-tools (4.2~rc1-1) unstable; urgency=low

  [Axel Beckert]
  * New upstream release candidate
    - Uses GeoIP for Debian mirrors: Default Debian mirror is now
      cdn.debian.net, see http://wiki.debian.org/DebianGeoMirror for
      details.
    - Uses the same 15-disable-hwclock hook for Debian as for Ubuntu DomUs
      (Closes: #588880)

