=== debian/control ===
Source: xen-tools
Section: utils
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7.0.0), libtest-pod-perl, libtext-template-perl, libfile-slurp-perl, devscripts, libmoose-perl, libtest-pod-coverage-perl, git
Standards-Version: 3.9.3
Homepage: http://xen-tools.org/software/xen-tools
Vcs-Browser: http://gitorious.org/xen-tools/xen-tools
Vcs-Git: git://gitorious.org/xen-tools/xen-tools.git

Package: xen-tools
Architecture: all
Depends: debootstrap | cdebootstrap, perl-modules, libtext-template-perl, libconfig-inifiles-perl, libfile-slurp-perl, ${misc:Depends}, openssh-client
Recommends: xen-hypervisor-amd64 | xen-hypervisor-i386 | xen-hypervisor-i386-pae, rinse (>= 1.9.1-1), libexpect-perl, xen-utils
Suggests: reiserfsprogs, xfsprogs, cfengine2, btrfs-tools
Description: Tools to manage Xen virtual servers
 This package contains tools to manage Debian based Xen virtual servers.
 .
 Using the scripts you can easily create fully configured Xen guest
 domains (DomU) which can be listed, updated, or copied easily.
 .
 xen-tools currently can install:
 .
   * Debian 3.1 Sarge (i386 only)
   * Debian 4.0 Etch
   * Debian 5.0 Lenny
   * Debian 6.0 Squeeze
   * Debian 7.0 Wheezy
   * Debian Sid (Unstable)
   * Ubuntu 6.06 Dapper Drake (LTS)
   * Ubuntu 6.10 Edgy Eft
   * Ubuntu 7.04 Feisty Fawn
   * Ubuntu 7.10 Gutsy Gibbon
   * Ubuntu 8.04 Hardy Heron (LTS)
   * Ubuntu 8.10 Intrepid Ibex
   * Ubuntu 9.04 Jaunty Jackaplope
   * Ubuntu 9.10 Karmic Koala
   * Ubuntu 10.04 Lucid Lynx (LTS)
   * Ubuntu 10.10 Maverick Meerkat
   * Ubuntu 11.04 Natty Narwhal
   * Ubuntu 11.10 Oneiric Ocelot
   * Ubuntu 12.04 Precise Pangolin (LTS)
   * CentOS 5
   * CentOS 6
