=== debian/changelog ===
xen-tools (4.4~beta1-1) unstable; urgency=low

  * New upstream beta release
    - Code deduplication to unify the xen-*-image scripts
    - Moves /usr/lib/xen-tools/ to /usr/share/xen-tools/
    - Use http.debian.net as default Debian mirror if no mirror is given
      and xt-guess-suite-and-mirror is not used.
    - Fix symbolic link hooks/centos-6/15-setup-arch (Closes: #690299)
    - Execute END block not on --version/--help/--manual (Closes: #684346)
    - Move code for --boot feature to END block. Fixes missing SSH
      fingerprint display if --boot was used. (Closes: #679183)
    - Correctly handle aborts in END block. (Closes: #704882)
    - Use local parameter instead of global variable in unMountImage.
    - Also recognize "M" and "G" instead of "MB" and "GB" as size unit for
      --memory. (Closes: #691320) Document the recognized units.
    - Default DomUs to use the noop scheduler (Closes: #693131)
    - Overwork TLS disabling on Debian and Ubuntu
    - xen-list-images now also outputs the file name of the config file.
    - xen-list-images and xen-delete-image now understand --extension.
    - Fixes "--extension=" with empty parameter.
    - Sarge amd64 case handle properly
    - Remove CVS revisions from --version output
    - Support for Debian Jessie, Ubuntu Raring and preliminary support for
      Ubuntu Saucy (debootstrap doesn't have support for Saucy at the time
      of writing)
    - Preliminary support for xl toolstack
    - xen-create-image: Consistently use runCommand() instead of system()
    - xt-install-image: Don't bail out if only cdebootstrap is installed
      but not debootstrap (Thanks Elmar Heeb!)
    - Makefile accepts DESTDIR=…
    - Move examples from debian/examples to examples.
    - Uses File::Which exclusively (no more findBinary, no more `which`),
      added (build-) dependency on libfile-which-perl
    - Knows about module-init-tools → kmod transition in wheezy/raring.
    - Adds default mount options for ext4, identical to ext2/ext3.
    - Ships /etc/initramfs-tools/conf.d/xen-tools for generating Dom0
      initrds also suitable for DomU usage. Trigger update-initramfs.
    - By default install linux-image-virtual instead of linux-image-server
      on Ubuntu Intrepid and newer (Hopefully closes: #640099, LP #839492)
    - Installs a legacy grub in all pygrub based Debian/Ubuntu DomUs to be
      able to update the menu.list automatically.
    - hooks/common.sh: installDebianPackage no more installs recommends.
    - hooks/common.sh: Rename installCentOS4Package to installRPMPackage.
      Add installCentOS4Package wrapper for backward compatibility.
    - Fix filesystem tools installation in 91-install-fs-tools (which was
      broken since 4.3~rc1-1) by merging 91-install-fs-tools back into
      90-make-fstab. (Closes: #715340) Also supports RPM-based
      distributions now.
    - Fixes export of environment variables. Previously they could contain
      dashes and then were only accessible from within Perl, but not from
      within Bash.
    - Fixes creation of "ARRAY(0x…).log" named log files.
    - Makes some options (like --pygrub) negatable.
    - Uses Test::NoTabs; add according build-dependency.
    - Removes unused Perl modules Xen::Tools and Xen::Tools::Log from
      source code. Also removes the according tests from the test suite.
      → Remove no more needed build-dependency on Moose.
    - Better documents and checks requirements for the --apt_proxy
      value. (See #623443 for the corresponding apt issue.) Add (build-)
      dependency on libdata-validate-uri-perl.
    - Use Data::Validate::{Domain,IP} for IP addresses and hostname checks.
      Add corresponding (build-) dependencies on
      libdata-validate-{domain,ip}-perl.
    - Fixes broken quoting in list of required binaries
    - Declares POD encoding. Fixes FTBFS with Perl 5.18. (Closes: #720519)
  * Add debian/gbp.conf to be able to to build xen-tools with
    git-buildpackage.
  * Clean up debian/rules:
    - Don't mention (generated) upstream changelog explicitly,
      dh_installchangelogs finds it by itself if it exist. That way
      building out of a freshly clone git repository does not fail due to
      a missing upstream changelog.
    - Use dh_auto_{install,clean}; use "$(MAKE)" instead of "make" where
      dh_auto_* can't help. No more explicitly call "make manpages", it's
      a depedency of "make install" in the next line anyway.
    - Finally switch to a minimal dh style debian/rules.
  * Bump debhelper compatibility to 9
    - Update versioned debhelper build-dependency
  * Bump Standards-Version to 3.9.4 (no changes)
  * Add dependency on ${perl:Depends} to fix dpkg-gencontrol warning.
  * Bump copyright years in debian/copyright.
  * Apply wrap-and-sort.

 -- Axel Beckert <abe@debian.org>  Fri, 23 Aug 2013 19:00:03 +0200
