## xen-tools 4.4~rc1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMP        ?= /tmp
 DIST_PREFIX = ${TMP}
-VERSION     = 4.4beta1
+VERSION     = 4.4rc1
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -202,6 +202,7 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d quantal.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d raring.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d saucy.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d trusty.d
 	cp hooks/common.sh ${prefix}/usr/share/xen-tools
 	cp -r hooks/common ${prefix}/usr/share/xen-tools
