=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libtest-pod-coverage-perl,
                libtest-pod-perl,
                libtext-template-perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://xen-tools.org/software/xen-tools
 Vcs-Browser: http://gitorious.org/xen-tools/xen-tools
 Vcs-Git: git://gitorious.org/xen-tools/xen-tools.git
@@ -28,6 +28,7 @@
          libdata-validate-uri-perl,
          libfile-slurp-perl,
          libfile-which-perl,
+         libterm-ui-perl | perl (<< 5.17.0),
          libtext-template-perl,
          openssh-client,
          perl-modules,
