## xen-tools 4.4

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMP        ?= /tmp
 DIST_PREFIX = ${TMP}
-VERSION     = 4.4rc1
+VERSION     = 4.4
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
