=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
                libdata-validate-uri-perl,
                libfile-slurp-perl,
                libfile-which-perl,
+               liblog-message-perl | perl (<< 5.17.0),
+               libterm-ui-perl | perl (<< 5.17.0),
                libtest-notabs-perl,
                libtest-pod-coverage-perl,
                libtest-pod-perl,
@@ -72,6 +74,7 @@
    * Ubuntu 12.04 Precise Pangolin (LTS)
    * Ubuntu 12.10 Quantal Quetzal
    * Ubuntu 13.04 Raring Ringtail
-   * Ubuntu 13.10 Saucy Salamander (under development)
+   * Ubuntu 13.10 Saucy Salamander
+   * Ubuntu 14.04 Trusty Tahr (LTS, under development)
    * CentOS 5
    * CentOS 6
