## xen-tools 4.5

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMP        ?= /tmp
 DIST_PREFIX = ${TMP}
-VERSION     = 4.4
+VERSION     = 4.5
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -67,6 +67,7 @@
 	@if [ -e build-stamp ]; then rm -f build-stamp ; fi
 	@if [ -e configure-stamp ]; then rm -f configure-stamp ; fi
 	@if [ -d debian/xen-tools ]; then rm -rf ./debian/xen-tools; fi
+	@if [ -d cover_db ]; then rm -rf ./cover_db; fi
 	@if [ -e $(BASE)-$(VERSION).tar.gz ]; then rm $(BASE)-$(VERSION).tar.gz ; fi
 	@if [ -e $(BASE)-$(VERSION).tar.gz.asc ]; then rm $(BASE)-$(VERSION).tar.gz.asc ; fi
 	cd t; $(MAKE) clean
@@ -203,6 +204,8 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d raring.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d saucy.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d trusty.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d utopic.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d vivid.d
 	cp hooks/common.sh ${prefix}/usr/share/xen-tools
 	cp -r hooks/common ${prefix}/usr/share/xen-tools
 
@@ -245,6 +248,7 @@
 	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
 	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
+	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/cover_db
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.git*
 	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
 	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
