=== debian/changelog ===
xen-tools (4.5-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Add patches/lvcreate_wheezy, as lvcreate on wheezy don't know --yes

 -- Jan Wagner <waja@cyconet.org>  Tue, 12 May 2015 14:44:26 +0200

xen-tools (4.5-1) unstable; urgency=low

  * New upstream release
    + Use "686-pae" kernels instead of "686" kernels on Debian Wheezy and
      later. Thanks to Daniel Lintott! (Closes: #742778)
    + Pass "-y" option ("assume yes") to yum (Closes: #735675)
      Thanks Lionel FÉLICITÉ!
    + Drop all xend related sanity checks, they cause more havoc nowadays
      than they help. Thanks Ian Campbell! (Closes: #732456)
    + Apply patch by Adrian C. (anrxc) to allow to override hooks in
      /usr/share/xen-tools/*.d/ with hooks in /etc/xen-tools/hooks.d/.
      Thanks! (Also add /etc/xen-tools/hooks.d/ to debian/dirs.)
    + Ignore cover_db directory in t/perl-syntax.t.
    + Update list of supported Ubuntu releases.
      - Add support for Ubuntu 14.10 Utopic Unicorn.
      - Add preliminary support for Ubuntu 15.04 Vivid Vervet.
      - Use old-releases.ubuntu.com for Ubuntu 13.10 Saucy Salamander.
    + Fix always empty gateway on Debian DomUs (Thanks Joan! LP: #1328794)
    + pygrub detection: Prefer /usr/lib/xen-default over /usr/lib/xen-x.y.
    + Fix lvcreate awaiting user input when creating swap lv (Closes: #754517)
      Thanks Eric Engstrom!
    + Fix missing quoting in shell function "assert" in hooks/common.sh.
    + Fix initial configuration summary in cases where pygrub is used.
    + Fix corner cases where not the latest kernel would have been checked.
    + --password overrides --genpass. (Closes: #764143) Based on patch by
      Santiago Vila.
    + Add password length sanity check with fallback to default length.
    + Raise default password length from 8 to 23.
    + Flush output after each line in runCommand().
    + Makefile: Clean up coverage data in multiple targets.
    + t/perl-syntax.t: Ignore changelog files, too.

    [ Santiago Vila ]
    + Fix unaligned maxmem output of xen-create-image. (Closes: #764126)
    + Fix copy & paste errors in comments in typos in roles/puppet
      (Closes: #764134)
    + Fix typos in POD of xen-create-image (Closes: #764153)
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Fix lintian warning depends-on-perl-modules.
  * Add lintian override for debian-news-entry-uses-asterisk; I disagree.

 -- Axel Beckert <abe@debian.org>  Sat, 25 Oct 2014 23:27:18 +0200
