=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Axel Beckert <abe@debian.org>
+Uploaders: Jan Wagner <waja@cyconet.org>
 Build-Depends: debhelper (>= 9~),
                devscripts,
                git,
@@ -16,7 +17,7 @@
                libtest-pod-coverage-perl,
                libtest-pod-perl,
                libtext-template-perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://xen-tools.org/software/xen-tools
 Vcs-Browser: http://gitorious.org/xen-tools/xen-tools
 Vcs-Git: git://gitorious.org/xen-tools/xen-tools.git
@@ -33,7 +34,7 @@
          libterm-ui-perl | perl (<< 5.17.0),
          libtext-template-perl,
          openssh-client,
-         perl-modules,
+         perl,
          ${misc:Depends},
          ${perl:Depends}
 Recommends: libexpect-perl,
@@ -75,6 +76,8 @@
    * Ubuntu 12.10 Quantal Quetzal
    * Ubuntu 13.04 Raring Ringtail
    * Ubuntu 13.10 Saucy Salamander
-   * Ubuntu 14.04 Trusty Tahr (LTS, under development)
+   * Ubuntu 14.04 Trusty Tahr (LTS)
+   * Ubuntu 14.10 Utopic Unicorn
+   * Ubuntu 15.05 Vivid Vervet (under development)
    * CentOS 5
    * CentOS 6
